Class Index | File Index

## Classes

- _global_
- OWF
- OWF.Chrome
- OWF.DragAndDrop
- OWF.Eventing
- OWF.Intents
- OWF.Lang
- OWF.Launcher
- OWF.Log
- OWF.Metrics
- OWF.Preferences
- OWF.RPC
- OWF.Util
- Ozone.chrome.WidgetChrome
- Ozone.dragAndDrop.WidgetDragAndDrop
- Ozone.eventing.Widget
- Ozone.eventing.WidgetProxy
- Ozone.lang
- Ozone.launcher.WidgetLauncher
- Ozone.launcher.WidgetLauncherUtils
- Ozone.log
- Ozone.metrics
- Ozone.pref.PrefServer
- Ozone.state.WidgetState
- Ozone.state.WidgetStateHandler
- Ozone.util
- Ozone.util.pageLoad

# Class Ozone.state.WidgetStateHandler

Defined in: WidgetStateHandler.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Ozone.state.WidgetStateHandler(widgetEventingController) This object is used handle widget requests.

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | Ozone.state.WidgetStateHandler.getInstance(widgetEventingController) Retrieves Ozone.eventing.Widget Singleton instance.
| handleWidgetRequest(config, callback) handles a widget state request based on the config

Class Detail
Ozone.state.WidgetStateHandler(widgetEventingController)
This object is used handle widget requests. To do so it requires a widgetEventingController

Parameters:
{Ozone.eventing.Widget} widgetEventingController
  - widget eventing object which handles eventing for the widget

Deprecated:
Since OWF 3.7.0 You should use Ozone.state.WidgetStateHandler.getInstance

Method Detail
<static> Ozone.state.WidgetStateHandler.getInstance(widgetEventingController)
Retrieves Ozone.eventing.Widget Singleton instance. This object is used handle widget requests. To do so it requires a widgetEventingController

     this.widgetStateHandler = Ozone.state.WidgetStateHandler.getInstance(this.widgetEventingController);

Parameters:
{Ozone.eventing.Widget} widgetEventingController
  - widget eventing object which handles eventing for the widget

handleWidgetRequest(config, callback)
handles a widget state request based on the config

    //Example for closing a widget
    var widgetEventingController = new Ozone.eventing.Widget(Ozone.util.contextPath() + '/js/eventing/rpc_relay.uncompressed.html');
    var widgetStateHandler = new Ozone.state.WidgetStateHandler(this.widgetEventingController);
    widgetStateHandler.handleStateRequest({
        fn: 'closeWidget',
        params: {
        	guid:
        }
    });

Parameters:
{Object} config
  object see example for structure
{Function} callback
  a function to be called once after the stateWidget is executed

Documentation generated by JsDoc Toolkit 2.3.2 on Fri Dec 21 2012 17:25:00 GMT-0500 (EST)